{
  "schema_version": "1.4.0",
  "id": "GHSA-j547-4m8x-hfvp",
  "modified": "2025-04-09T03:34:07Z",
  "published": "2022-05-01T07:31:25Z",
  "aliases": [
    "CVE-2006-5751"
  ],
  "details": "Integer overflow in the get_fdb_entries function in net/bridge/br_ioctl.c in the Linux kernel before 2.6.18.4 allows local users to execute arbitrary code via a large maxnum value in an ioctl request.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2006-5751"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/30588"
    },
    {
      "type": "WEB",
      "url": "https://issues.rpath.com/browse/RPL-803"
    },
    {
      "type": "WEB",
      "url": "https://issues.rpath.com/browse/RPL-837"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A10151"
    },
    {
      "type": "WEB",
      "url": "http://kernel.org/pub/linux/kernel/v2.6/ChangeLog-2.6.18.4"
    },
    {
      "type": "WEB",
      "url": "http://projects.info-pull.com/mokb/MOKB-29-11-2006.html"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2007-0014.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/23073"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/23252"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/23370"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/23384"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/23474"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/23593"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/23752"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/23997"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24206"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24547"
    },
    {
      "type": "WEB",
      "url": "http://support.avaya.com/elmodocs2/security/ASA-2007-063.htm"
    },
    {
      "type": "WEB",
      "url": "http://www.kernel.org/git/?p=linux/kernel/git/torvalds/linux-2.6.git%3Ba=blobdiff%3Bh=4c61a7e0a86e1ae9e16867f9f8e4b0412b8edbaf%3Bhp=4e4119a1213925568b8a1acdef9bf52b98b19da3%3Bhb=ba8379b220509e9448c00a77cf6c15ac2a559cc7%3Bf=net/bridge/br_ioctl.c"
    },
    {
      "type": "WEB",
      "url": "http://www.kernel.org/git/?p=linux/kernel/git/torvalds/linux-2.6.git%3Ba=commit%3Bh=ba8379b220509e9448c00a77cf6c15ac2a559cc7"
    },
    {
      "type": "WEB",
      "url": "http://www.kernel.org/git/?p=linux/kernel/git/torvalds/linux-2.6.git;a=blobdiff;h=4c61a7e0a86e1ae9e16867f9f8e4b0412b8edbaf;hp=4e4119a1213925568b8a1acdef9bf52b98b19da3;hb=ba8379b220509e9448c00a77cf6c15ac2a559cc7;f=net/bridge/br_ioctl.c"
    },
    {
      "type": "WEB",
      "url": "http://www.kernel.org/git/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=ba8379b220509e9448c00a77cf6c15ac2a559cc7"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2007:002"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2007:012"
    },
    {
      "type": "WEB",
      "url": "http://www.novell.com/linux/security/advisories/2006_79_kernel.html"
    },
    {
      "type": "WEB",
      "url": "http://www.novell.com/linux/security/advisories/2007_21_kernel.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/453681/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/21353"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/usn-395-1"
    },
    {
      "type": "WEB",
      "url": "http://www.us.debian.org/security/2006/dsa-1233"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2006/4781"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2006-12-02T02:28:00Z"
  }
}